/v1/api/glsbRules/{id} (PUT) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Updates an existing GSLB rule.

POST https://api-<BlueCat.edge.url>/v1/api/gslbRules
Authorization: Bearer authorization token

{
    "name": "Test",
    "description": "All rule",
    "queryNames": [
        {
            "domain": "14.example.com",
            "type": "domain"
        },
        {
            "listId": "4b4895cc-667f-47e2-b894-4f158b8e02cf",
            "type": "list"
        }
    ],
    "querySources": [
        {
            "cidr": "10.244.160.253/32",
            "type": "cidr"
        },
        {
            "cidr": "43e9bfb6-0fb3-4d7d-ae40-9a1fb6986f6a",
            "type": "list"
        }
    ],
    "excludeUnhealthyAnswers": true, 
    "useEdnsClientSubnet": true,
    "removeFromResponseLists": [
        {
            "listId": "cd913c25-245e-47f4-93e2-c74c9cfd18fc",
            "type": "list"
        },
        {
            "cidr": "10.10.10.253/32",
            "type": "cidr"
        }
    ],
    "priorityLists": [
        [
            {
                "listId": "cd913c25-245e-47f4-93e2-c74c9cfd18fc",
                "type": "list"
            },
            {
                "cidr": "10.0.0.0/8",
                "type": "cidr"
            }
        ]
    ],
    "prioritizeHealthyOverNoStatus": true,
    "maxAnswers": 100
}
Body parameters
  • name—the name of the GSLB rule.
  • description—the description of the GSLB rule.
  • queryNames—defines the DNS query names to match the GSLB rule. The query names include the following:
    • domain—the FQDN of the domain to match the GSLB rule. If you are entering a value in domain, you do not need to add a listId parameter and the type must be set to domain.
    • listId—the ID of the domain list to match the GSLB rule. If you are entering a value in listId, you do not need to add a domain parameter and the type must be set to list.
    • type—the type of domain entered. If you are entering the FQDN of a domain, the value must be cidr. If you are entering the name of a domain list, the value must be list.
  • querySources—defines the source IP addresses to match the GSLB rule. The query sources include the following:
    • cidr—the CIDR of the source IP address to match the GSLB rule. If you are entering a value in cidr, you do not need to add a listId parameter and the type must be set to cidr.
    • listId—the ID of the IP list to match the GSLB rule. If you are entering a value in listId, you do not need to add a cidr parameter and the type must be set to list.
    • type—the type of source IP addresses entered. If you are entering the CIDR of the IP address, the value must be cidr. If you are entering the ID of the IP list, the value must be list.
  • excludeUnhealthyAnswers—indicates whether the GSLB rule includes addresses that are listed as in the list of answers, based on the health check configurations.
  • useEdnsClientSubnet—indicates whether GSLB rules match on EDNS client subnets (ECS) rather than the source IP of the query.
  • removeFromResponseLists—defines the IP addresses to be removed from the DNS answer. The remove from response list includes the following:
    • cidr—the CIDR of the source IP address to be removed from the DNS answer. If you are entering a value in cidr, you do not need to add a listId parameter and the type must be set to cidr.
    • listId—the ID of the IP list that includes source IP addresses to remove from the DNS answer. If you are entering a value in listId, you do not need to add a cidr parameter and the type must be set to list.
    • type—the type of IP address to remove from the DNS answer. If you are entering the CIDR of the IP address, the value must be cidr. If you are entering the ID of the IP list, the value must be list.
  • priorityLists—defines how DNS answers are prioritized. The priority list includes the following:
    • cidr—the CIDR of the IP addresses to prioritize in the DNS answer. If you are entering a value in cidr, you do not need to add a listId parameter and the type must be set to cidr.
    • listId—the ID of the IP list that includes source IP addresses to prioritize in the DNS answer. If you are entering a value in listId, you do not need to add a cidr parameter and the type must be set to list.
    • type—the type of IP address to prioritize in the DNS answer. If you are entering the CIDR of the IP address, the value must be cidr. If you are entering the ID of the IP list, the value must be list.
  • prioritizeHealthyOverNoStatus—indicates whether addresses that return a healthy status are prioritized over those that don't return a health status.
  • maxAnswers—the maximum number of answers returned.

Successful response

200 OK
Content-Type: application/JSON
{
    "id": "string",
    "transactionId": "1e6edc00-e94c-416a-a713-2a5520676a0e",
    "createdAt": 946684800000,
    "modifiedAt": 946684800000,
    "name": "Test",
    "description": "All rule",
    "queryNames": [
        {
            "domain": "14.example.com",
            "type": "domain"
        },
        {
            "listId": "4b4895cc-667f-47e2-b894-4f158b8e02cf",
            "type": "list"
        }
    ],
    "querySources": [
        {
            "cidr": "10.244.160.253/32",
            "type": "cidr"
        },
        {
            "cidr": "43e9bfb6-0fb3-4d7d-ae40-9a1fb6986f6a",
            "type": "list"
        }
    ],
    "excludeUnhealthyAnswers": true,
    "useEdnsClientSubnet": true,
    "removeFromResponseLists": [
        {
            "listId": "cd913c25-245e-47f4-93e2-c74c9cfd18fc",
            "type": "list"
        },
        {
            "cidr": ""10.10.10.253/32",
            "type": "cidr"
        }
    ],
    "priorityLists": [
        [
            {
                "cidr": "10.10.10.10/32",
                "listId": "00000000-0000-0000-0000-000000000000",
                "type": "cidr"
            }
        ]
    ],
    "prioritizeHealthyOverNoStatus": true,
    "maxAnswers": 100
}
Note: The createdAt and modifiedAt fields are represented in milliseconds since the Unix Epoch.
Possible error codes:
  • BAD REQUEST - Invalid request
  • NOT FOUND - The GSLB rule cannot be found
  • CONFLICT - The GSLB rule is in use
  • UNSUPPORTED MEDIA TYPE - An invalid Content-Type header was provided
  • INTERNAL SERVER ERROR - Unexpected error